asn1_dup_node(3)

NAME
asn1_dup_node - API function

SYNOPSIS
#include <libtasn1.h>

asn1_node asn1_dup_node(asn1_node src, const char * src_name);

ARGUMENTS

asn1_node src
    Source asn1 node.

const char * src_name
    Field name in source node.

DESCRIPTION
Create a deep copy of a asn1_node variable. This function will return an exact copy of the provided structure.

RETURNS
Return NULL on failure.

COPYRIGHT
Copyright © 2006-2015 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libtasn1 is maintained as a Texinfo manual. If the info and libtasn1 programs are properly installed at your site, the command

    info libtasn1

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/libtasn1/manual/